# Uses of Class
org.jfree.chart3d.marker.MarkerChangeEvent

Packages that use MarkerChangeEvent
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.

## Uses of MarkerChangeEvent in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis with parameters of type MarkerChangeEvent
Modifier and Type
Method
Description
`void`
AbstractAxis3D.`markerChanged(MarkerChangeEvent event)`
Receives notification of a change to a marker managed by this axis - the response is to fire a change event for the axis (to eventually trigger a repaint of the chart).

## Uses of MarkerChangeEvent in org.jfree.chart3d.marker

Methods in org.jfree.chart3d.marker with parameters of type MarkerChangeEvent
Modifier and Type
Method
Description
`void`
MarkerChangeListener.`markerChanged(MarkerChangeEvent event)`
Called to inform that an marker change event has occurred.
`void`
RangeMarker.`markerChanged(MarkerChangeEvent event)`
Receives notification of a change to the start or end marker for the range.